*****************************************************************************
* FILENAME: TMVAR.S
* CONTENTS: Declaration of global variables used by TM.
* AUTHOR  : John Olwoch
* DATE    :
*****************************************************************************

"0000000000000"                         ( *tape* )

"0000000000000"                         ( *more tape* )

GROB 4E 11000B0000FF70104010401040104010401040104010401040104010401040104010401040FF70
					( *space on tape* )

GROB 2E 900009000001008100C100EF10FF10EF10C10081000100
					( *left page indicator* )

GROB 2E 9000090000010003000700FF00FF10FF00070003000100
					( *right page indicator* )

GROB 2E 900009000001008300C700EF00FF108300830083008300
					( *scanner* )

{ 1 11 21 31 41 51 61 71 81 91 101 111 121 }
					( *col positions for scanner* )

{ 3 13 23 33 43 53 63 73 83 93 103 113 123 }
					( *col positions for symbol grobs* )

ONE                                     ( *symbol position* )

ONE                                     ( *scanner position* )

""                                      ( *command* )

"00"                                    ( *current state* )

"00"                                    ( *next state* )

ZERO                                    ( *number of states* )

ONE                                     ( *current page* )

ONE                                     ( *last page* )

ONE                                     ( *page containing scanner* )

"N"                                     ( *move direction* )

FALSE                                   ( *POL exit flag* )

*----------------------------------------------------------------------------
*
{
  LAM tape
  LAM more_tape
  LAM space
  LAM left_indicator
  LAM right_indicator
  LAM scanner
  LAM scanner_col
  LAM symbol_col
  LAM position
  LAM scanner_pos
  LAM command
  LAM this_state
  LAM next_state
  LAM states
  LAM this_page
  LAM last_page
  LAM scanner_page
  LAM move_direction
  LAM exit
} BIND

